OpenCV: cvflann::RadiusUniqueResultSet< DistanceType > Class Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cvflann::RadiusUniqueResultSet< DistanceType > Class Template Reference

`#include "result_set.h"`

Inheritance diagram for cvflann::RadiusUniqueResultSet< DistanceType >:

## Public Member Functions
| RadiusUniqueResultSet (DistanceType radius)
void | addPoint (DistanceType dist, int index) CV_OVERRIDE
void | clear () CV_OVERRIDE
bool | full () const CV_OVERRIDE
DistanceType | worstDist () const CV_OVERRIDE
Public Member Functions inherited from cvflann::UniqueResultSet< DistanceType >
| UniqueResultSet ()
virtual void | copy (int *indices, DistanceType *dist, int n_neighbors=-1) const
size_t | size () const
virtual void | sortAndCopy (int *indices, DistanceType *dist, int n_neighbors=-1) const
Public Member Functions inherited from cvflann::ResultSet< DistanceType >
virtual | ~ResultSet ()

## Additional Inherited Members
Protected Attributes inherited from cvflann::UniqueResultSet< DistanceType >
std::set< DistIndex > | dist_indices_
bool | is_full_
DistanceType | worst_distance_

## Detailed Description

### template<typename DistanceType>
class cvflann::RadiusUniqueResultSet< DistanceType >

Class that holds the radius nearest neighbors It is more accurate than RadiusResult as it is not limited in the number of neighbors

## Constructor & Destructor Documentation

## ◆ RadiusUniqueResultSet()

template<typename DistanceType>

cvflann::RadiusUniqueResultSet< DistanceType >::RadiusUniqueResultSet | ( | DistanceType | radius | ) |
| inline

Constructor

Parameters

  radius | the maximum distance of a neighbor

## Member Function Documentation

## ◆ addPoint()

template<typename DistanceType>

void cvflann::RadiusUniqueResultSet< DistanceType >::addPoint | ( | DistanceType | dist,
|  | int | index
| ) |  |
| inlinevirtual

Add a possible candidate to the best neighbors

Parameters

  dist | distance for that neighbor
  index | index of that neighbor

Implements cvflann::ResultSet< DistanceType >.

## ◆ clear()

template<typename DistanceType>

void cvflann::RadiusUniqueResultSet< DistanceType >::clear | ( |  | ) |
| inlinevirtual

Remove all elements in the set

Implements cvflann::UniqueResultSet< DistanceType >.

## ◆ full()

template<typename DistanceType>

bool cvflann::RadiusUniqueResultSet< DistanceType >::full | ( |  | ) | const
| inlinevirtual

Check the status of the set

Returns
  alwys false

Reimplemented from cvflann::UniqueResultSet< DistanceType >.

## ◆ worstDist()

template<typename DistanceType>

DistanceType cvflann::RadiusUniqueResultSet< DistanceType >::worstDist | ( |  | ) | const
| inlinevirtual

The distance of the furthest neighbor If we don't have enough neighbors, it returns the max possible value

Returns

Reimplemented from cvflann::UniqueResultSet< DistanceType >.

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann/result_set.h